<?php session_start();
//conexion al server
include_once "../config/dbconfig.php"; 
//ajustes para la seleccion del menu
$contenedor="#opc_prod";
$items="#productos";
$seleccion="#opc_prod4";
//detalles de la pagina mostrada
$title="Historial de Compras";
$sub_title="Historial de Compras ";
?>
<!DOCTYPE html>
<html lang="en">
<?php 
    include_once "../config/cabecera.php"; 
?>
<body>
	<div class="wrapper">
		<?php 
            include_once "../config/menu.php"; 
        ?>
        
		<div class="main-panel">
			<div class="content">
				<div class="panel-header">
					<div class="page-inner py-1">
						<div class="d-flex align-items-left align-items-md-center flex-column flex-md-row mt-3">
							<div>
								<h3 class="text-black pb-2 fw-bold"><?php echo $sub_title; ?></h3>
							</div>
						</div>
                        <hr>
                         <div id="lista_compras" class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="add-row" class="display table table-striped table-hover" >
                                    <thead>
                                        <tr>
                                            <th style="display:none">Id Compra</th>
                                            <th>Código de compra</th>
                                            <th>Fecha de compra</th>
                                            <th>Productos comprados</th>
                                            <th>IVA</th>
                                            <th>Subtotal</th>
                                            <th>Impuestos</th>
                                            <th>Total</th>
                                            <th>Proveedor</th>
                                            <th>Acción</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    <?php
                                    $sqla = "SELECT c.id_compra, c.codigo_compra, c.fecha_factura, count(*) cantidadProductos, c.iva, c.subtotal, c.impuesto, c.total, p.empresa FROM compra c, inventario_producto ip, proveedores p
                                    where c.id_compra=ip.id_compra and p.id_proveedor=c.id_proveedor and id_estado_compra != 3 GROUP by c.id_compra;";

                                    $resultSeta = mysqli_query($conn, $sqla);
                                    while ($rowa = mysqli_fetch_row($resultSeta)) {
                                    ?>
                                        <tr>
                                            <td style="display:none"><span id="idCompra<?php echo $rowa[0]; ?>"><?php echo $rowa[0]; ?></span></td>
                                            <td><span id="codigoCompra<?php echo $rowa[0]; ?>"><?php echo $rowa[1]; ?></span></td>
                                            <td><span><?php echo $rowa[2]; ?></span></td>
                                            <td><span><?php echo $rowa[3]; ?></span></td>
                                            <td><span><?php echo $rowa[4]; ?> %</span></td>
                                            <td><span>$ <?php echo $rowa[5]; ?></span></td>
                                            <td><span>$ <?php echo $rowa[6]; ?></span></td>
                                            <td><span>$ <?php echo $rowa[7]; ?></span></td>
                                            <td><span><?php echo $rowa[8]; ?></span></td>
                                             <td>
                                              <button type='button' title='Ver Productos Comprados' class='btn btn-link btn-primary btn-lg ver_insumos' value='<?php echo $rowa[0]; ?>'><i class="flaticon-list"></i></button>
                                            </td> 
                                        </tr>
                                    <?php
                                    }
                                    ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
					</div>
				</div>
			</div>
			
		</div>
		
	</div>
	
	
    <div class="modal fade" id="modal_gestion_user" tabindex="-1" role="dialog" aria-labelledby="modal_gestion_user" aria-hidden="true">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="modal_gestion_user">Historial de Compra | <span id="codigoCompraTitle"></span></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div id="listadoInsumo"></div>
            </div>
            </div>
        </div>
    </div>
	<!--   Core JS Files   -->
	<script src="../../assets/js/core/jquery.3.2.1.min.js"></script>
	<script src="../../assets/js/core/popper.min.js"></script>
	<script src="../../assets/js/core/bootstrap.min.js"></script>

	<!-- jQuery UI -->
	<script src="../../assets/js/plugin/jquery-ui-1.12.1.custom/jquery-ui.min.js"></script>
	<script src="../../assets/js/plugin/jquery-ui-touch-punch/jquery.ui.touch-punch.min.js"></script>

	<!-- jQuery Scrollbar -->
	<script src="../../assets/js/plugin/jquery-scrollbar/jquery.scrollbar.min.js"></script>

	<!-- Datatables -->
	<script src="../../assets/js/plugin/datatables/datatables.min.js"></script>

	<!-- Bootstrap Notify -->
	<script src="../../assets/js/plugin/bootstrap-notify/bootstrap-notify.min.js"></script>

	<!-- Sweet Alert -->
	<script src="../../assets/js/plugin/sweetalert/sweetalert.min.js"></script>

	<!-- Atlantis JS -->
	<script src="../../assets/js/atlantis.min.js"></script>

    
    <script >
        //configuracion del menu
        var contenedor="<?php echo $contenedor; ?>";
        var items="<?php echo $items; ?>";
        var seleccion="<?php echo $seleccion; ?>";
        seleccion_menu(contenedor,items,seleccion);
        
        function seleccion_menu(contenedor,items,item_selected){
            $(contenedor).addClass("active submenu");
            $(items).addClass("show");
            $(item_selected).addClass("active");
        }
        
        
		$(document).ready(function(){
            $(document).on('click', '.ver_insumos', function(){
                //informacion del cerdito seleccionado
                var id=$(this).val();
                var codigoCompra=$('#codigoCompra'+id).text();
                $("#codigoCompraTitle").text(codigoCompra);
                $('#modal_gestion_user').modal("show");
                // Listado de insumos
                $.ajax({
                    url: 'operaciones.php',
                    type: 'POST' ,
                    dataType: 'html',
                    data: {id_operacion:10, id:id},
                })
                .done(function(respuesta){
                    $("#listadoInsumo").html(respuesta);
                })
                .fail(function(){
                    console.log("error");
                });
            });
        });
        
 </script>
</body>
</html>